<!--
  Generated template for the AddMemberPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>

  <ion-navbar color="carbon">
    <ion-title>Add Member</ion-title>
  </ion-navbar>

</ion-header>


<ion-content padding>
  <h3>Add Member</h3>
  <ion-list>
    <ion-item>
      <ion-label floating>First Name</ion-label>
      <ion-input [(ngModel)]="houseHoldInstance.first_name"></ion-input>
    </ion-item>
    <ion-item>
      <ion-label floating>Middle Name</ion-label>
      <ion-input [(ngModel)]="houseHoldInstance.middle_name"></ion-input>
    </ion-item>

    <ion-item>
      <ion-label floating>Last Name</ion-label>
      <ion-input [(ngModel)]="houseHoldInstance.last_name"></ion-input>
    </ion-item>


    <ion-item>
      <ion-label floating>Relation to Household Head</ion-label>
      <ion-select [(ngModel)]="houseHoldInstance.relation">
        <ion-option value="Head">Head</ion-option>
        <ion-option value="Spouse">Spouse</ion-option>
        <ion-option value="Son/Daughter">Son/Daughter</ion-option>
        <ion-option value="Brother/Sister">Brother/Sister</ion-option>
        <ion-option value="Son/Daughter in law">Son/Daughter in law</ion-option>
        <ion-option value="Grandchildren">Grandchildren</ion-option>
        <ion-option value="Parents">Parents</ion-option>
        <ion-option value="Other Relative">Other Relative</ion-option>
        <ion-option value="Housemaid/Boy">Housemaid/Boy</ion-option>
        <ion-option value="Friends">Friends</ion-option>
      </ion-select>
    </ion-item>
    <ion-item>
      <ion-label floating>Civil Status</ion-label>
      <ion-select [(ngModel)]="houseHoldInstance.civil_status">
        <ion-option value="Single">Single</ion-option>
        <ion-option value="Married">Married</ion-option>
        <ion-option value="Widowed">Widowed</ion-option>
        <ion-option value="Divorce/Separated">Divorce/Separated</ion-option>
        <ion-option value="Annulled">Annulled</ion-option>
        <ion-option value="Common-law/Live-in">Common-law/Live-in</ion-option>
        <ion-option value="Unknown">Unknown</ion-option>
      </ion-select>
    </ion-item>
    <ion-item>
      <ion-label floating>Gender</ion-label>
      <ion-select [(ngModel)]="houseHoldInstance.gender">
        <ion-option value="Male">Male</ion-option>
        <ion-option value="Female">Female</ion-option>
      </ion-select>
    </ion-item>
    <ion-item>
      <ion-label floating>Birth date</ion-label>
      <ion-datetime displayFormat="MMM DD, YYYY" [(ngModel)]="houseHoldInstance.birthdate"></ion-datetime>
    </ion-item>

    <ion-item>
      <ion-label floating>Age</ion-label>
      <ion-input type="number" [(ngModel)]="houseHoldInstance.age"></ion-input>
    </ion-item>

    <ion-item>
      <ion-label floating> Is he/she currently staying on the same address</ion-label>
      <ion-select [(ngModel)]="houseHoldInstance.same_address">
        <ion-option value="yes">Yes</ion-option>
        <ion-option value="no">No</ion-option>
      </ion-select>
    </ion-item>

    <ion-item>
      <ion-label floating>Attending School</ion-label>
      <ion-select [(ngModel)]="houseHoldInstance.attending_school">
        <ion-option value="Yes">Yes</ion-option>
        <ion-option value="No">No</ion-option>
      </ion-select>
    </ion-item>

    <ion-item>
      <ion-label floating>Year level</ion-label>
      <ion-select [disabled]="houseHoldInstance.attending_school === 'No'" [(ngModel)]="houseHoldInstance.year_level">
        <ion-option value="Day Care">Day Care</ion-option>
        <ion-option value="Kindergarten/Preparatory">Kindergarten/Preparatory</ion-option>
        <ion-option value="Grade 1">Grade 1</ion-option>
        <ion-option value="Grade 2">Grade 2</ion-option>
        <ion-option value="Grade 3">Grade 3</ion-option>
        <ion-option value="Grade 4">Grade 4</ion-option>
        <ion-option value="Grade 5">Grade 5</ion-option>
        <ion-option value="Grade 6">Grade 6</ion-option>
        <ion-option value="Grade 7">Grade 7</ion-option>
        <ion-option value="Grade 8">Grade 8</ion-option>
        <ion-option value="Grade 9">Grade 9</ion-option>
        <ion-option value="Grade 10">Grade 10</ion-option>
        <ion-option value="Grade 11">Grade 11</ion-option>
        <ion-option value="Grade 12">Grade 12</ion-option>
        <ion-option value="1st Year PS/NT/TV">1st Year PS/NT/TV</ion-option>
        <ion-option value="2nd Year PS/NT/TV">2nd Year PS/NT/TV</ion-option>
        <ion-option value="3rd Year PS/NT/TV">3rd Year PS/NT/TV</ion-option>
        <ion-option value="1st Year College">1st Year College</ion-option>
        <ion-option value="2nd Year College">2nd Year College</ion-option>
        <ion-option value="3rd Year College">3rd Year College</ion-option>
        <ion-option value="4th Year College">4th Year College</ion-option>
        <ion-option value="5th Year College">5th Year College</ion-option>
        <ion-option value="6th Year College">6th Year College</ion-option>
        <ion-option value="Masters Degree Undergraduate">Masters Degree Undergraduate</ion-option>
        <ion-option value="Doctorate Degree Undergraduate">Doctorate Degree Undergraduate</ion-option>
      </ion-select>
    </ion-item>
    <ion-item>
      <ion-label floating>Highest Educational Level Attainment</ion-label>
      <ion-select [(ngModel)]="houseHoldInstance.highest_level">
        <ion-option value="No Grade Completed">No Grade Completed</ion-option>
        <ion-option value="Day Care">Day Care</ion-option>
        <ion-option value="Kindergarten/Preparatory">Kindergarten/Preparatory</ion-option>
        <ion-option value="Grade 1">Grade 1</ion-option>
        <ion-option value="Grade 2">Grade 2</ion-option>
        <ion-option value="Grade 3">Grade 3</ion-option>
        <ion-option value="Grade 4">Grade 4</ion-option>
        <ion-option value="Grade 5">Grade 5</ion-option>
        <ion-option value="Grade 6">Grade 6</ion-option>
        <ion-option value="Grade 7">Grade 7</ion-option>
        <ion-option value="Grade 8">Grade 8</ion-option>
        <ion-option value="Grade 9">Grade 9</ion-option>
        <ion-option value="Grade 10">Grade 10</ion-option>
        <ion-option value="Grade 11">Grade 11</ion-option>
        <ion-option value="Grade 12">Grade 12</ion-option>
        <ion-option value="1st Year PS/NT/TV">1st Year PS/NT/TV</ion-option>
        <ion-option value="2nd Year PS/NT/TV">2nd Year PS/NT/TV</ion-option>
        <ion-option value="3rd Year PS/NT/TV">3rd Year PS/NT/TV</ion-option>
        <ion-option value="1st Year College">1st Year College</ion-option>
        <ion-option value="2nd Year College">2nd Year College</ion-option>
        <ion-option value="3rd Year College">3rd Year College</ion-option>
        <ion-option value="4th Year College">4th Year College</ion-option>
        <ion-option value="5th Year College">5th Year College</ion-option>
        <ion-option value="6th Year College">6th Year College</ion-option>
        <ion-option value="Masters Degree Undergraduate">Masters Degree Undergraduate</ion-option>
        <ion-option value="Masters Degree Graduate">Masters graduate</ion-option>
        <ion-option value="Doctorate Degree Undergraduate">Doctorate Degree Undergraduate</ion-option>
        <ion-option value="Doctorate Degree Graduate">Doctorate graduate</ion-option>
      </ion-select>
    </ion-item>
    <ion-item>
      <ion-label floating>*If female, is she pregnant?</ion-label>
      <ion-select [disabled]="houseHoldInstance.gender !== 'Female'" [(ngModel)]="houseHoldInstance.pregnant">
        <ion-option value="Yes">Yes</ion-option>
        <ion-option value="No">No</ion-option>
      </ion-select>
    </ion-item>
    <ion-item>
      <ion-label floating>Has Children</ion-label>
      <ion-select [(ngModel)]="houseHoldInstance.have_children">
        <ion-option value="Yes">Yes</ion-option>
        <ion-option value="No">No</ion-option>
      </ion-select>
    </ion-item>
    <ion-item>
      <ion-label floating>Solo Parent</ion-label>
      <ion-select [disabled]="houseHoldInstance.have_children === 'No'" [(ngModel)]="houseHoldInstance.solo_parent">
        <ion-option value="Yes">Yes</ion-option>
        <ion-option value="No">No</ion-option>
      </ion-select>
    </ion-item>
    <ion-item>
      <ion-label floating>Has Disability</ion-label>
      <ion-select [(ngModel)]="houseHoldInstance.disability">
        <ion-option value="Yes">Yes</ion-option>
        <ion-option value="No">No</ion-option>
      </ion-select>
    </ion-item>
    <ion-item>
      <ion-label floating>Type of Disability</ion-label>
      <ion-select [disabled]="houseHoldInstance.disability === 'No'" [(ngModel)]="houseHoldInstance.disability_type">
        <ion-option value="Total Blindness">Total Blindness</ion-option>
        <ion-option value="Partial Blindness">Partial Blindness</ion-option>
        <ion-option value="Low Vision">Low Vision</ion-option>
        <ion-option value="Totally Deaf">Totally Deaf</ion-option>
        <ion-option value="Partially Deaf">Partially Deaf</ion-option>
        <ion-option value="Oral Defect">Oral Defect</ion-option>
        <ion-option value="One Hand">One Hand</ion-option>
        <ion-option value="No Hands">No Hands</ion-option>
        <ion-option value="One Leg">One Leg</ion-option>
        <ion-option value="No Legs">No Legs</ion-option>
        <ion-option value="Mild Cerebral Palsy">Mild Cerebral Palsy</ion-option>
        <ion-option value="Severe Cerebral Palsy">Severe Cerebral Palsy</ion-option>
        <ion-option value="Retarded, Mentally Ill">Retarded, Mentally Ill</ion-option>
        <ion-option value="Mental Retardation">Mental Retardation</ion-option>
        <ion-option value="Multiple Impairment">Multiple Impairment</ion-option>
      </ion-select>
    </ion-item>
    <ion-item>
      <ion-label floating>Other Health Problems</ion-label>
      <ion-input [(ngModel)]="houseHoldInstance.health_problem"></ion-input>
    </ion-item>
    <ion-item>
      <ion-label floating>Employed</ion-label>
      <ion-select [(ngModel)]="houseHoldInstance.employed">
        <ion-option value="Yes">Yes</ion-option>
        <ion-option value="No">No</ion-option>
      </ion-select>
    </ion-item>
    <ion-item>
      <ion-label floating>Occupation</ion-label>
      <ion-select [(ngModel)]="houseHoldInstance.occupation">
        <ion-option value="Assembler">Assembler</ion-option>
        <ion-option value="Associate Professional">Associate Professional</ion-option>
        <ion-option value="Clerk">Clerk</ion-option>
        <ion-option value="Corporate Executive">Corporate Executive</ion-option>
        <ion-option value="Farmer">Farmer</ion-option>
        <ion-option value="Fisherman">Fisherman</ion-option>
        <ion-option value="Forestry Worker">Forestry Worker</ion-option>
        <ion-option value="Laborer">Laborer</ion-option>
        <ion-option value="Manager">Manager</ion-option>
        <ion-option value="Managing Proprietor">Managing Proprietor</ion-option>
        <ion-option value="Official of the government and Special Interest Organization">Official of the government and Special Interest Organization</ion-option>
        <ion-option value="Plant and Machine Operator">Plant and Machine Operator</ion-option>
        <ion-option value="Professional">Professional</ion-option>
        <ion-option value="Service Worker">Service Worker</ion-option>
        <ion-option value="Special Occupation">Special Occupation</ion-option>
        <ion-option value="Shop and Market Sales Worker">Shop and Market Sales Worker</ion-option>
        <ion-option value="Supervisor">Supervisor</ion-option>
        <ion-option value="Technician">Technician</ion-option>
        <ion-option value="Trades and Related Worker">Trades and Related Worker</ion-option>
        <ion-option value="unskilled Worker">unskilled Worker</ion-option>
      </ion-select>
    </ion-item>
    <ion-item>
      <ion-label floating>Where Does The Family Member Work</ion-label>
      <ion-select [(ngModel)]="houseHoldInstance.where_occupation">
        <ion-option value="Employer in Own Family-operated Farm/Business">Employer in Own Family-operated Farm or Business</ion-option>
        <ion-option value="Worked for Government/Non-Government Corporation">Worked for Government/Non-Government Corporation</ion-option>
        <ion-option value="Self-Employed Without Any Paid Employee">Self-Employed Without Any Paid Employee</ion-option>
        <ion-option value="Worked for Private Household">Worked for Private Household</ion-option>
        <ion-option value="Worked for Private Establishment">Worked for Private Establishment</ion-option>
        <ion-option value="Worked with Pay in Own Family-operated Farm/Business">Worked with Pay in Own Family-operated Farm or Business</ion-option>
        <ion-option value="Worked without Pay in Own Family-operated Farm/Business">Worked without Pay in Own Family-operated Farm or Business</ion-option>
      </ion-select>
    </ion-item>
  </ion-list>
</ion-content>
<ion-footer>
  <button ion-button full (click)="addMember()">Add Member</button>
</ion-footer>
